classification
Title: Add -3 warning for absolute imports.
Type: enhancement Stage: needs patch
Components: Interpreter Core Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, eric.smith, ezio.melotti, jcea, mark.dickinson
Priority: normal Keywords:

Created on 2010-02-03 13:51 by mark.dickinson, last changed 2012-09-26 17:13 by mark.dickinson. This issue is now closed.

Messages (3)
msg98781 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2010-02-03 13:51
It would be good to have a -3 warning for any use of import in 2.7 whose semantics change in 3.x, as a result of the absolute imports PEP (PEP 328).
msg106459 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-05-25 18:17
Benjamin, are we still in time for this if someone provides a patch?
msg106475 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-05-25 20:56
Yes, if soonish.
History
Date User Action Args
2012-09-26 17:13:29mark.dickinsonsetstatus: open -> closed
resolution: out of date
2010-05-25 20:56:30benjamin.petersonsetmessages: + msg106475
2010-05-25 18:17:25ezio.melottisetnosy: + benjamin.peterson
messages: + msg106459
2010-04-26 18:11:36jceasetnosy: + jcea
2010-02-05 16:24:55ezio.melottisetpriority: normal
nosy: + ezio.melotti

type: enhancement
stage: needs patch
2010-02-03 14:08:22eric.smithsetnosy: + eric.smith
2010-02-03 13:51:20mark.dickinsoncreate